.cookie {
    position: fixed;
    z-index: 2999;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);

    width: 100%;
    max-width: 1500px;
}

@media (min-width: 768px) {
    .cookie {
        bottom: 20px;
        width: calc(100% - 60px);
    }
}

.cookie--hide {
    display: none;
}

.cookie__wrapper {
    padding: 20px 26px;

    display: grid;
    grid-template-columns: 1fr;
    align-items: center;
    gap: 20px;

    background-color: #2b2b2b;
    border-radius: 3px;

    font-size: 11px;
    color: #ffffff;
}

@media (min-width: 768px) {
    .cookie__wrapper {
        padding: 20px 26px;

        grid-template-columns: 1fr max-content;

        font-size: 13px;
    }
}

.cookie__wrapper p {
    margin: 0;
    padding: 0;
}

.cookie__wrapper a:not(.cookie__button) {
    display: inline;
    text-decoration: underline;
    text-decoration-skip-ink: none;
    -webkit-text-decoration: underline;
    color: #ffffff;
}

.cookie__wrapper a:not(.cookie__button):hover {
    font-weight: 500;
}

.cookie__content {
    height: calc(5 * 1lh);
    line-height: inherit;
    overflow-y: auto;
    overflow-x: hidden;

    scrollbar-width: thin;
    scrollbar-color: #ffffff transparent;
}

.cookie__content .scroll-content {
    overflow-x: hidden !important;
    padding-right: 8px;
}

.cookie__content .scrollbar-track.scrollbar-track-y {
    background: transparent !important;
    width: 8px;
    right: 0;
}

.cookie__content .scrollbar-track.scrollbar-track-x {
    display: none !important;
}

.cookie__content .scrollbar-thumb {
    background-color: #ffffff !important;
    border-radius: 4px;
    width: 100%;
}

@media (min-width: 768px) {
    .cookie__content {
        height: initial;
    }
    .cookie__content .scroll-content {
        overflow-y: hidden !important;
    }
}

.cookie__button-list {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}

@media (min-width: 768px) {
    .cookie__button-list {
        flex-direction: column;
    }
}

.cookie__button.btn {
    font-size: 12px;
}